--- editor_plugin2_en.js.orig	2019-02-04 19:16:44.274425295 +0200
+++ editor_plugin2_en.js	2019-02-04 19:45:06.653200022 +0200
@@ -136,6 +136,9 @@
     var cursorPos = textWithCursor.indexOf("\ufeff");
     var newText = this.getPlainText();
     
+    newText = newText.replace(/</g, "\ue001");
+    newText = newText.replace(/>/g, "\ue002");
+
     var previousSpanStart = -1;
     // iterate backwards as we change the text and thus modify positions:
     for (var suggestionIndex = this.suggestions.length-1; suggestionIndex >= 0; suggestionIndex--) {
@@ -190,10 +193,15 @@
     newText = newText.replace(/^\n/, "");
     newText = newText.replace(/^\n/, "");
     newText = newText.replace(/\n/g, "<br/>");
+
+    newText = newText.replace(/\ue001/g, '&lt;');
+    newText = newText.replace(/\ue002/g, '&gt;');
+
     ed.setContent(newText);
     // now place the cursor where it was:
     ed.selection.select(ed.dom.select('span#caret_pos_holder')[0]);
     ed.dom.remove(ed.dom.select('span#caret_pos_holder')[0]);
+
 };
 
 AtDCore.prototype._insertCursorSpan = function(text, cursorPos) {
@@ -260,7 +268,7 @@
             .replace(/&amp;/g, "&")
             .replace(/&lt;/g, "<")
             // TODO: using '>' still gets converted to '&gt;' for the user - with this line the HTML gets messed up when '<' or '>' are used in the text to check:
-            //.replace(/&gt;/g, ">") 
+            .replace(/&gt;/g, ">")
             .replace(/&nbsp;/g, " ");  // see issue #10
     if (removeCursor) {
         plainText = plainText.replace(/\ufeff/g, "");  // feff = 65279 = cursor code
